{
  "accUserMode" : 2,
  "caption" : "报销单明细",
  "codeName" : "BXDMXUsr10279633MapView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXUsr10279633MapView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "BXDMXUsr10279633MapView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/ModelRepository.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "getBatchAddPSAppViews" : [ {
        "refMode" : "BOOK",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookMPickupView.json",
          "viewType" : "DEMPICKUPVIEW"
        }
      }, {
        "refMode" : "DER1N_BXDMX_BXD_BXDID",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMPickupView.json",
          "viewType" : "DEMPICKUPVIEW"
        }
      } ],
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      }, {
        "refMode" : "BOOK",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookMPickupView.json",
          "viewType" : "DEMPICKUPVIEW"
        }
      }, {
        "refMode" : "DER1N_BXDMX_BXD_BXDID",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMPickupView.json",
          "viewType" : "DEMPICKUPVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : true,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "报销单明细编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "报销单明细编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMXEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "MPICKUPVIEW:BOOK",
    "realTitle" : "书数据多项选择视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookMPickupView.json",
      "viewType" : "DEMPICKUPVIEW"
    }
  }, {
    "name" : "MPICKUPVIEW:DER1N_BXDMX_BXD_BXDID",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "报销单数据多项选择视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXDMPickupView.json",
      "viewType" : "DEMPICKUPVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Map",
    "controlType" : "MAP",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX/PSMAPS/Map.json",
    "legendPos" : "NONE",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "map"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "MAP"
    },
    "name" : "map",
    "modelid" : "045AC294-23DF-4800-A6BA-972BF0118929_map",
    "modeltype" : "PSSYSMAPVIEW"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "报销单明细",
    "codeName" : "Usr10279633MapViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr10279633MapView",
  "getPSDEViewId" : "CD3385F5-4CFD-46A1-BE95-853E4CA4A2AD",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMAPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "xxx",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMAPVIEW",
  "xDataControlName" : "map",
  "enableDP" : true,
  "enableFilter" : true,
  "enableSearch" : true,
  "modelid" : "045AC294-23DF-4800-A6BA-972BF0118929",
  "modeltype" : "PSAPPDEVIEW",
  "getPSAppDERSPaths" : [ [ {
    "actionRSMode" : 1,
    "codeName" : "BXDMX",
    "dataRSMode" : 0,
    "majorDECodeName" : "BXD",
    "majorDEName" : "BXD",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD.json"
    },
    "minorDECodeName" : "BXDMX",
    "minorDEName" : "BXDMX",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
    },
    "name" : "DER1N_BXDMX_BXD_BXDID",
    "getParentPSAppDEField" : {
      "name" : "BXDID",
      "codeName" : "BXDId"
    },
    "rSMode" : 2
  } ], [ {
    "actionRSMode" : 1,
    "codeName" : "BXDMXes",
    "dataRSMode" : 0,
    "majorDECodeName" : "Book",
    "majorDEName" : "BOOK",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "minorDECodeName" : "BXDMX",
    "minorDEName" : "BXDMX",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX.json"
    },
    "name" : "DER1N_BXDMX_BOOK_BOOKID",
    "getParentPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    },
    "rSMode" : 2
  } ] ]
}